<?php

$mysqli = new mysqli('localhost:5030', 'dyss', 'jelszo', 'dyss');
$mysqli->query('set names utf8');
	
$felhasznalo_id = 1;
$cim = 'bem';

$q = 'select id, cim, leiras, indexfajl, megtekintes_db, publikus, letrehozas_datuma 
		from bemutato
		where cim like ? and
			felhasznalo_id = ?';
$stmt = $mysqli->prepare($q);
$stmt->bind_param('si', $cim, $felhasznalo_id);
$felhasznalo_id = 1;
$cim = "%{$cim}%";
$stmt->execute();

$sor = array();
$meta = $stmt->result_metadata();
foreach ($meta->fetch_fields() as $field) {
	$params[] = &$sor[$field->name];
}
call_user_func_array(
	array($stmt, 'bind_result'),
	$params
);

$bemutatok = array();
while ($stmt->fetch()) {
	$bemutatok[] = array(
		'id'				=> $sor['id'],
		'indexfajl'			=> $sor['indexfajl'],
		'cim'				=> $sor['cim'],
		'leiras'			=> $sor['leiras'],
		'megtekintes_db'	=> $sor['megtekintes_db'],
		'publikus'			=> $sor['publikus'] ? 'Igen' : 'Nem',
		'letrehozas_datuma'	=> $sor['letrehozas_datuma'],
	);
}

$stmt->free_result();
$mysqli->close();

include('bemutatok_3_nezet.php');